aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authortoni <matzeton@googlemail.com>2016-03-25 17:19:30 +0100
committertoni <matzeton@googlemail.com>2016-03-25 17:19:30 +0100
commit0b20f315b07be0ae178d859c98576ae34330ff54 (patch)
tree2cac90dfc076ae60dfd0340240d1391676165400
parent6e5817332883a2bf5555a7a63b33fd7221482e12 (diff)
fixed re-install debconf bug; logging stuff
-rwxr-xr-xdebian/naskpass.postinst4
-rw-r--r--src/main.c2
2 files changed, 4 insertions, 2 deletions
diff --git a/debian/naskpass.postinst b/debian/naskpass.postinst
index 590a2ab..4d9cc42 100755
--- a/debian/naskpass.postinst
+++ b/debian/naskpass.postinst
@@ -12,7 +12,7 @@ case "$1" in
configure)
nask_update
- db_input high naskpass/activate
+ db_input high naskpass/activate || true
db_go
db_get naskpass/activate
if [ "x$RET" = "xtrue" ]; then
@@ -27,7 +27,7 @@ case "$1" in
update-initramfs -u
;;
- abort-upgrade)
+ install|upgrade|abort-upgrade)
;;
*)
diff --git a/src/main.c b/src/main.c
index e36982f..ce34a41 100644
--- a/src/main.c
+++ b/src/main.c
@@ -170,11 +170,13 @@ main(int argc, char **argv)
usleep(100000);
waitpid(child, &c_status, WNOHANG);
if ( WIFEXITED(c_status) != 0 ) {
+ logs("%s\n", "child exited");
break;
}
}
waitpid(child, &c_status, WNOHANG);
if ( WIFEXITED(c_status) == 0 ) {
+ logs("%s\n", "waiting for child");
wait(&c_status);
}
memset(pbuf, '\0', IPC_MQSIZ+1);